pub mod slices {
    pub fn trim_right_by<T, F: Fn(&T) -> bool>(slice: &[T], f: F) -> &[T] {
        let mut res = slice;
        while res.len() > 0 && f(res.last().unwrap()) {
            res = res.split_last().unwrap().1;
        }
        res
    }
}
pub use self::slices::*;
